Cyberduck Mountain Duck CLI

#1787 closed enhancement (fixed)

Different recursive permissions for directory and files

Reported by: gads Owned by: dkocher
Priority: normal Milestone: 3.2
Component: interface Version: 2.8.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

It would be great if I could set different permissions for directories and files during recursive update.

Example: I would set 777 for directories and 755 for files.

This feature could be enable by setting a check box, or something.

Change History (7)

comment:1 Changed on May 10, 2008 at 9:13:35 PM by dkocher

  • Component changed from core to interface
  • Milestone set to 3.1
  • Status changed from new to assigned

comment:2 Changed on Jul 21, 2008 at 4:55:05 PM by dkocher

  • Milestone changed from 3.0.2 to 3.1

comment:3 Changed on Sep 20, 2008 at 6:30:02 AM by anonymous

  • Priority changed from normal to highest

comment:4 Changed on Dec 2, 2008 at 12:06:53 AM by anonymous

It would be nice to have the execute bit only set for dirs and files that already have the x bit; to have the behaviour of 'chmod a+rwX' instead of the current 'chmod 777'

comment:5 Changed on Mar 26, 2009 at 5:55:41 PM by dkocher

  • Priority changed from highest to normal

comment:6 Changed on Apr 5, 2009 at 9:41:40 AM by dkocher

  • Milestone changed from 3.2 to 3.1.3
  • Resolution set to fixed
  • Status changed from assigned to closed

In r4560. When modifying permissions recursively, only add the execute bits if the file is a directory or any of the execute/search bits are set in the original (unmodified) mode of the regular file.

comment:7 Changed on Aug 24, 2016 at 6:53:39 AM by dkocher

Reverted in r21294. See #9657.

Note: See TracTickets for help on using tickets.
swiss made software